<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" style="task" id="mintupdatex-cli">

  <info>
    <link type="guide" xref="index#advanced"/>

    <credit type="author">
      <name>Linux Mint</name>
      <email>root@linuxmint.com</email>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>

    <desc>Von der Befehlszeile akualisieren</desc>
  </info>

  <title>Verwendung von mintupdatex-cli</title>

    <p>Die Aktualisierungsverwaltung stellt ein Befehlszeilenprogramm namens »mintupdatex-cli« zur Verfügung.</p>

    <p>Wenn Sie erfahren im Umgang mit Linux sind, können Sie dieses Werkzeug in Ihren Skripten oder Ihren Cron-Jobs nutzen, um die Installation von Anwendungsaktualisierungen zu automatisieren.</p>

  <section id="tool1">

  <title>Auflisten der Aktualisierungen</title>

  <p>Sie können den Befehl »list« verwenden, um Aktualisierungen aufzulisten:</p>

  <screen>mintupdatex-cli list</screen>

  <p>Sie können -s verwenden, um nur die Sicherheitsaktualisierungen anzuzeigen.</p>

  <p>Sie können -k verwenden, um nur die Kernel-Aktualisierungen anzuzeigen.</p>

  <p>Der folgende Befehl listet beispielsweise alle Sicherheitsupdates auf:</p>

  <screen>mintupdatex-cli list -s</screen>

  </section>

  <section id="tool1">

  <title>Aktualisierungen werden angewandt</title>

  <p>Sie können den Befehl »upgrade« verwenden, um Aktualisierungen unter Benutzung der selben Optionen anzuwenden.</p>

  <p>Der folgende Befehl wendet beispielsweise Kernel-Aktualisierungen an:</p>

  <screen>sudo mintupdatex-cli upgrade -r -k</screen>

  <p>Bitte beachten Sie den Parameter -r, welcher hinzugefügt wurde, um den Puffer aufzufrischen.</p>

  <p>Um weitere Informationen zu mintupdatex-cli und eine vollständige Liste der Parameter zu erhalten, bitte Folgendes eingeben:</p>

  <screen>mintupdatex-cli -h</screen>

  </section>

</page>
